%global npmname enabled

Name:           nodejs-%{npmname}
Version:        2.0.0
Release:        1%{?dist}
Summary:        Check if a certain flag is enabled

License:        MIT
URL:            https://www.npmjs.com/package/%{npmname}

# Tests not included on NPM.
Source0:        https://github.com/3rd-Eden/%{npmname}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  nodejs-packaging

BuildRequires:  mocha
BuildRequires:  nodejs-assume

BuildArch:      noarch
ExclusiveArch: %{nodejs_arches} noarch

%description
Enabled is a small utility that can check if certain namespace
are enabled by environment variables which are automatically
transformed to regular expressions for matching.

%prep
%autosetup -n %{npmname}-%{version}

%build
# Nothing to build, this is a noarch package

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npmname}
cp -a index.js %{buildroot}%{nodejs_sitelib}/%{npmname}/
cp -a package.json %{buildroot}%{nodejs_sitelib}/%{npmname}/

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'

mocha test.js

%files
%{nodejs_sitelib}/%{npmname}/
%license LICENSE
%doc README.md

%changelog
* Tue Apr 28 2020 Ben Rosser <rosser.bjr@gmail.com> - 2.0.0-1
- Initial package for Fedora.
